LibreOffice: _oslVolumeInfo Struct Reference

LibreOffice LibreOffice 5.4 SDK C/C++ API Reference

Public Attributes | List of all members
_oslVolumeInfo Struct Reference

Structure containing information about volumes. More...

`#include <file.h>`

## Public Attributes
sal_uInt32 | uStructSize
| Must be initialized with the size in bytes of the structure before passing it to any function. More...
sal_uInt32 | uValidFields
| Determines which members of the structure contain valid data. More...
sal_uInt32 | uAttributes
| Attributes of the volume (remote and/or removable) More...
sal_uInt64 | uTotalSpace
| Total available space on the volume for the current process/user. More...
sal_uInt64 | uUsedSpace
| Used space on the volume for the current process/user. More...
sal_uInt64 | uFreeSpace
| Free space on the volume for the current process/user. More...
sal_uInt32 | uMaxNameLength
| Maximum length of file name of a single item. More...
sal_uInt32 | uMaxPathLength
| Maximum length of a full qualified path in system notation. More...
rtl_uString * | ustrFileSystemName
| Points to a string that receives the name of the file system type. More...
oslVolumeDeviceHandle * | pDeviceHandle
| Pointer to handle the receives underlying device. More...

## Detailed Description

Structure containing information about volumes.

See also
  osl_getVolumeInformation()
  oslFileType

## Member Data Documentation

## ◆ pDeviceHandle

oslVolumeDeviceHandle* _oslVolumeInfo::pDeviceHandle

Pointer to handle the receives underlying device.

Handle should be set to zero before calling osl_getVolumeInformation

## ◆ uAttributes

sal_uInt32 _oslVolumeInfo::uAttributes

Attributes of the volume (remote and/or removable)

## ◆ uFreeSpace

sal_uInt64 _oslVolumeInfo::uFreeSpace

Free space on the volume for the current process/user.

## ◆ uMaxNameLength

sal_uInt32 _oslVolumeInfo::uMaxNameLength

Maximum length of file name of a single item.

## ◆ uMaxPathLength

sal_uInt32 _oslVolumeInfo::uMaxPathLength

Maximum length of a full qualified path in system notation.

## ◆ ustrFileSystemName

rtl_uString* _oslVolumeInfo::ustrFileSystemName

Points to a string that receives the name of the file system type.

String should be set to zero before calling osl_getVolumeInformation and released after usage.

## ◆ uStructSize

sal_uInt32 _oslVolumeInfo::uStructSize

Must be initialized with the size in bytes of the structure before passing it to any function.

## ◆ uTotalSpace

sal_uInt64 _oslVolumeInfo::uTotalSpace

Total available space on the volume for the current process/user.

## ◆ uUsedSpace

sal_uInt64 _oslVolumeInfo::uUsedSpace

Used space on the volume for the current process/user.

## ◆ uValidFields

sal_uInt32 _oslVolumeInfo::uValidFields

Determines which members of the structure contain valid data.

The documentation for this struct was generated from the following file:

- osl/file.h